/* allgemeine Zeichen-I/O-Verwaltung */

#ifndef GIO_INCLUDED
#define GIO_INCLUDED

/*
Zeichen und Texte werden von Streams (seriell, USB, Textdateien usw.)
geholt und ebenso zu solchen Streams ausgegeben. Dazu ist in den
I/O-Aufrufen ein Handle erforderlich, das den gewnschten Stream
bezeichnet.
*/
#define  stdin    255        /* In vom Standard-Stream       */
#define  stdout   255        /* Out zum Standard-Stream      */
#define  toUSB    254        /* fr serielle Ausgabe per USB */
#define  toCmd    253        /* auf Kommandozeilen-Fenster   */
#define  toBUF    252        /* Ausgabe in Puffer  */
#define  toUART0    0        /* fr serielle Ausgabe per V24 */
#define  toUART1    1        /* fr serielle Ausgabe per V24 */
#define  toUART2    2        /* fr serielle Ausgabe per V24 */
#define  toUART3    3        /* fr serielle Ausgabe per V24 */
#define  toUART4    4        /* fr serielle Ausgabe per V24 */
#define  toUART5    5        /* fr serielle Ausgabe per V24 */
#define  toUART6    6        /* fr serielle Ausgabe per V24 */
#define  toUART7    7        /* fr serielle Ausgabe per V24 */
/* Datei-Handles sollen immer >=256 sein */

extern word   StdIO;          /* bei stdin+stdout wird dieses Handle genommen */
extern char*  TxBufPtr;       /* Schreibzeiger fr toBuf */
extern int    TxBufRemaining; /* Restlnge fr toBuf */

extern int    numTxFree  (word wo);            /* liefert Anzahl freier Pltze im Tx Puffer */
extern bool   RxAvail    (word wo);            /* ob empfangene Zeichen anliegen */
extern char   GetChar    (word wo);            /* liest empfangenes Zeichen (ohne Warten) */
extern char   Char_Out   (char c, word wo);    /* Zeichen ausgeben */
extern void   String_Out (char* P, word wo);   /* String ausgeben  */
extern void   CRLF_Out   (word wo);            /* 0x13 0x10 ausgeben */
extern void   TxDone     (word wo);            /* warten bis alles gesendet */


#endif





