/* UART-Ansteuerung fr STM32F302RBT6 */

/* Senden + Empfangen erfolgt gepuffert ber V24puffer per Interrupt.

   Beim Senden wird eine begrenzte Zeit gewartet, wenn der Sendepuffer voll ist
   Beim Empfangen wird nicht gewartet, sondern 0 geliefert, wenn nix anliegt.
   Also vorher prfen, ob Zeichen im Rx anliegen
 */

#ifndef SERIALINCLUDED
#define SERIALINCLUDED

extern dword InitSerial1 (long baudrate);    /* liefert tatschliche Baudrate zurck */
extern dword InitSerial2 (long baudrate);
extern dword InitSerial3 (long baudrate);
extern dword InitSerial4 (long baudrate);
extern dword InitSerial5 (long baudrate);

extern char  V24Char_Out1  (char c);         /* Zeichen senden */
extern char  V24Char_Out2  (char c);
extern char  V24Char_Out3  (char c);
extern char  V24Char_Out4  (char c);
extern char  V24Char_Out5  (char c);

extern int   V24numTxFree1 (void);           /* Anzahl freier Pltze im Sendepuffer */
extern int   V24numTxFree2 (void);
extern int   V24numTxFree3 (void);
extern int   V24numTxFree4 (void);
extern int   V24numTxFree5 (void);

extern bool  V24RxAvail1   (void);           /* ob Zeichen empfangen wurden */
extern bool  V24RxAvail2   (void);
extern bool  V24RxAvail3   (void);
extern bool  V24RxAvail4   (void);
extern bool  V24RxAvail5   (void);

extern char  V24GetChar1   (void);           /* empfangene Zeichen abholen */
extern char  V24GetChar2   (void);
extern char  V24GetChar3   (void);
extern char  V24GetChar4   (void);
extern char  V24GetChar5   (void);

extern void  V24TxDone1    (void);           /* warten bis Sendepuffer geleert ist */
extern void  V24TxDone2    (void);
extern void  V24TxDone3    (void);
extern void  V24TxDone4    (void);
extern void  V24TxDone5    (void);


#endif

/*  Ende  */

